RedHat: RHSA-2022-5162:01 Important: postgresql security update | L...

Advisories

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: postgresql security update
Advisory ID:       RHSA-2022:5162-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:5162
Issue date:        2022-06-22
CVE Names:         CVE-2022-1552 
=====================================================================

1. Summary:

An update for postgresql is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client (v. 7) - x86_64
Red Hat Enterprise Linux Client Optional (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - x86_64
Red Hat Enterprise Linux Server (v. 7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 7) - x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

3. Description:

PostgreSQL is an advanced object-relational database management system
(DBMS).

Security Fix(es):

* postgresql: Autovacuum, REINDEX, and others omit "security restricted
operation" sandbox (CVE-2022-1552)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

If the postgresql service is running, it will be automatically restarted
after installing this update.

5. Bugs fixed (https://bugzilla.redhat.com/):

2081126 - CVE-2022-1552 postgresql: Autovacuum, REINDEX, and others omit "security restricted operation" sandbox

6. Package List:

Red Hat Enterprise Linux Client (v. 7):

Source:
postgresql-9.2.24-8.el7_9.src.rpm

x86_64:
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-libs-9.2.24-8.el7_9.i686.rpm
postgresql-libs-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux Client Optional (v. 7):

x86_64:
postgresql-9.2.24-8.el7_9.i686.rpm
postgresql-9.2.24-8.el7_9.x86_64.rpm
postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-devel-9.2.24-8.el7_9.i686.rpm
postgresql-devel-9.2.24-8.el7_9.x86_64.rpm
postgresql-docs-9.2.24-8.el7_9.x86_64.rpm
postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm
postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm
postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm
postgresql-server-9.2.24-8.el7_9.x86_64.rpm
postgresql-static-9.2.24-8.el7_9.i686.rpm
postgresql-static-9.2.24-8.el7_9.x86_64.rpm
postgresql-test-9.2.24-8.el7_9.x86_64.rpm
postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux ComputeNode (v. 7):

Source:
postgresql-9.2.24-8.el7_9.src.rpm

x86_64:
postgresql-9.2.24-8.el7_9.x86_64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-libs-9.2.24-8.el7_9.i686.rpm
postgresql-libs-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

x86_64:
postgresql-9.2.24-8.el7_9.i686.rpm
postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-devel-9.2.24-8.el7_9.i686.rpm
postgresql-devel-9.2.24-8.el7_9.x86_64.rpm
postgresql-docs-9.2.24-8.el7_9.x86_64.rpm
postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm
postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm
postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm
postgresql-server-9.2.24-8.el7_9.x86_64.rpm
postgresql-static-9.2.24-8.el7_9.i686.rpm
postgresql-static-9.2.24-8.el7_9.x86_64.rpm
postgresql-test-9.2.24-8.el7_9.x86_64.rpm
postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
postgresql-9.2.24-8.el7_9.src.rpm

ppc64:
postgresql-9.2.24-8.el7_9.ppc.rpm
postgresql-9.2.24-8.el7_9.ppc64.rpm
postgresql-contrib-9.2.24-8.el7_9.ppc64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.ppc.rpm
postgresql-debuginfo-9.2.24-8.el7_9.ppc64.rpm
postgresql-devel-9.2.24-8.el7_9.ppc.rpm
postgresql-devel-9.2.24-8.el7_9.ppc64.rpm
postgresql-docs-9.2.24-8.el7_9.ppc64.rpm
postgresql-libs-9.2.24-8.el7_9.ppc.rpm
postgresql-libs-9.2.24-8.el7_9.ppc64.rpm
postgresql-plperl-9.2.24-8.el7_9.ppc64.rpm
postgresql-plpython-9.2.24-8.el7_9.ppc64.rpm
postgresql-pltcl-9.2.24-8.el7_9.ppc64.rpm
postgresql-server-9.2.24-8.el7_9.ppc64.rpm
postgresql-test-9.2.24-8.el7_9.ppc64.rpm

ppc64le:
postgresql-9.2.24-8.el7_9.ppc64le.rpm
postgresql-contrib-9.2.24-8.el7_9.ppc64le.rpm
postgresql-debuginfo-9.2.24-8.el7_9.ppc64le.rpm
postgresql-devel-9.2.24-8.el7_9.ppc64le.rpm
postgresql-docs-9.2.24-8.el7_9.ppc64le.rpm
postgresql-libs-9.2.24-8.el7_9.ppc64le.rpm
postgresql-plperl-9.2.24-8.el7_9.ppc64le.rpm
postgresql-plpython-9.2.24-8.el7_9.ppc64le.rpm
postgresql-pltcl-9.2.24-8.el7_9.ppc64le.rpm
postgresql-server-9.2.24-8.el7_9.ppc64le.rpm
postgresql-test-9.2.24-8.el7_9.ppc64le.rpm

s390x:
postgresql-9.2.24-8.el7_9.s390.rpm
postgresql-9.2.24-8.el7_9.s390x.rpm
postgresql-contrib-9.2.24-8.el7_9.s390x.rpm
postgresql-debuginfo-9.2.24-8.el7_9.s390.rpm
postgresql-debuginfo-9.2.24-8.el7_9.s390x.rpm
postgresql-devel-9.2.24-8.el7_9.s390.rpm
postgresql-devel-9.2.24-8.el7_9.s390x.rpm
postgresql-docs-9.2.24-8.el7_9.s390x.rpm
postgresql-libs-9.2.24-8.el7_9.s390.rpm
postgresql-libs-9.2.24-8.el7_9.s390x.rpm
postgresql-plperl-9.2.24-8.el7_9.s390x.rpm
postgresql-plpython-9.2.24-8.el7_9.s390x.rpm
postgresql-pltcl-9.2.24-8.el7_9.s390x.rpm
postgresql-server-9.2.24-8.el7_9.s390x.rpm
postgresql-test-9.2.24-8.el7_9.s390x.rpm

x86_64:
postgresql-9.2.24-8.el7_9.i686.rpm
postgresql-9.2.24-8.el7_9.x86_64.rpm
postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-devel-9.2.24-8.el7_9.i686.rpm
postgresql-devel-9.2.24-8.el7_9.x86_64.rpm
postgresql-docs-9.2.24-8.el7_9.x86_64.rpm
postgresql-libs-9.2.24-8.el7_9.i686.rpm
postgresql-libs-9.2.24-8.el7_9.x86_64.rpm
postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm
postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm
postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm
postgresql-server-9.2.24-8.el7_9.x86_64.rpm
postgresql-test-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

ppc64:
postgresql-debuginfo-9.2.24-8.el7_9.ppc.rpm
postgresql-debuginfo-9.2.24-8.el7_9.ppc64.rpm
postgresql-static-9.2.24-8.el7_9.ppc.rpm
postgresql-static-9.2.24-8.el7_9.ppc64.rpm
postgresql-upgrade-9.2.24-8.el7_9.ppc64.rpm

ppc64le:
postgresql-debuginfo-9.2.24-8.el7_9.ppc64le.rpm
postgresql-static-9.2.24-8.el7_9.ppc64le.rpm
postgresql-upgrade-9.2.24-8.el7_9.ppc64le.rpm

s390x:
postgresql-debuginfo-9.2.24-8.el7_9.s390.rpm
postgresql-debuginfo-9.2.24-8.el7_9.s390x.rpm
postgresql-static-9.2.24-8.el7_9.s390.rpm
postgresql-static-9.2.24-8.el7_9.s390x.rpm
postgresql-upgrade-9.2.24-8.el7_9.s390x.rpm

x86_64:
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-static-9.2.24-8.el7_9.i686.rpm
postgresql-static-9.2.24-8.el7_9.x86_64.rpm
postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
postgresql-9.2.24-8.el7_9.src.rpm

x86_64:
postgresql-9.2.24-8.el7_9.i686.rpm
postgresql-9.2.24-8.el7_9.x86_64.rpm
postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-devel-9.2.24-8.el7_9.i686.rpm
postgresql-devel-9.2.24-8.el7_9.x86_64.rpm
postgresql-libs-9.2.24-8.el7_9.i686.rpm
postgresql-libs-9.2.24-8.el7_9.x86_64.rpm
postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm
postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm
postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm
postgresql-server-9.2.24-8.el7_9.x86_64.rpm
postgresql-test-9.2.24-8.el7_9.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

x86_64:
postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm
postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm
postgresql-docs-9.2.24-8.el7_9.x86_64.rpm
postgresql-static-9.2.24-8.el7_9.i686.rpm
postgresql-static-9.2.24-8.el7_9.x86_64.rpm
postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-1552
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYrMEj9zjgjWX9erEAQj9sg/+JJTtnNpHK5fwayt4VFgiXyCwSfGVZ5Sq
tvXRsOZWS6IyDLtZMLoh4QGPKGa3QxPZzMS8ANtQwv7zI/T5YaSvwE2ynJWsMWPq
Keb8GKLzFTd1vHOYxD8YWmGsKBUJrXKZSbe6PmTVeIkVE4kJ8AGNUQhdGmrXWzo6
KQeCjiG4pqxAYagoDLEKF3vI1K290cOghBFYk+N4zf2dtM0kU6fBn46XTOvNZyHK
7B5j4Zh50PbZurxDxHlQh7cjSIVAg3WwHd/je2DpIWLBqycAmgS2KKmMapNv8eiw
mwQucIzZ3cPYv8olGR5vAcOESLStDsivwgQgMaVWApOleFVn9la/UnQKQjhW7gum
9kJTL0tdeu8lXMYdzdpDu9wmbigD5b/vwNStC0fxOadfTcTQ2HA0MR+W/H7xx0WH
p8Pv5yGRwTDkVZCa5cMrd957h84BYbZTogSgpTzJYrj5+/rSfRBr4DDbFI5rfVzH
GJ8RApH2qndPkq7AjqkQYg7w5x5a+rMzXXOMocvldo+XZamGOIkbjzGwNi5zKVOY
LtBcQ8X1VnSFZK7ivHvvgyA7hTP0+EZEMuQZ3FyJKmZCaoFx4ikYTkbnpEiqgWyM
BNPMQB25syypAvXovJY2RxEcLNaWLXLHxDZaI+NBPrRAUPWdPwrOxTaL4lROHTym
DE8OJwR8B98=
=ncdG
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-5162:01 Important: postgresql security update

An update for postgresql is now available for Red Hat Enterprise Linux 7

Summary

PostgreSQL is an advanced object-relational database management system (DBMS).
Security Fix(es):
* postgresql: Autovacuum, REINDEX, and others omit "security restricted operation" sandbox (CVE-2022-1552)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258If the postgresql service is running, it will be automatically restartedafter installing this update.

References

https://access.redhat.com/security/cve/CVE-2022-1552 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux Client (v. 7):
Source: postgresql-9.2.24-8.el7_9.src.rpm
x86_64: postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-libs-9.2.24-8.el7_9.i686.rpm postgresql-libs-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux Client Optional (v. 7):
x86_64: postgresql-9.2.24-8.el7_9.i686.rpm postgresql-9.2.24-8.el7_9.x86_64.rpm postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-devel-9.2.24-8.el7_9.i686.rpm postgresql-devel-9.2.24-8.el7_9.x86_64.rpm postgresql-docs-9.2.24-8.el7_9.x86_64.rpm postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm postgresql-server-9.2.24-8.el7_9.x86_64.rpm postgresql-static-9.2.24-8.el7_9.i686.rpm postgresql-static-9.2.24-8.el7_9.x86_64.rpm postgresql-test-9.2.24-8.el7_9.x86_64.rpm postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux ComputeNode (v. 7):
Source: postgresql-9.2.24-8.el7_9.src.rpm
x86_64: postgresql-9.2.24-8.el7_9.x86_64.rpm postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-libs-9.2.24-8.el7_9.i686.rpm postgresql-libs-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux ComputeNode Optional (v. 7):
x86_64: postgresql-9.2.24-8.el7_9.i686.rpm postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-devel-9.2.24-8.el7_9.i686.rpm postgresql-devel-9.2.24-8.el7_9.x86_64.rpm postgresql-docs-9.2.24-8.el7_9.x86_64.rpm postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm postgresql-server-9.2.24-8.el7_9.x86_64.rpm postgresql-static-9.2.24-8.el7_9.i686.rpm postgresql-static-9.2.24-8.el7_9.x86_64.rpm postgresql-test-9.2.24-8.el7_9.x86_64.rpm postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux Server (v. 7):
Source: postgresql-9.2.24-8.el7_9.src.rpm
ppc64: postgresql-9.2.24-8.el7_9.ppc.rpm postgresql-9.2.24-8.el7_9.ppc64.rpm postgresql-contrib-9.2.24-8.el7_9.ppc64.rpm postgresql-debuginfo-9.2.24-8.el7_9.ppc.rpm postgresql-debuginfo-9.2.24-8.el7_9.ppc64.rpm postgresql-devel-9.2.24-8.el7_9.ppc.rpm postgresql-devel-9.2.24-8.el7_9.ppc64.rpm postgresql-docs-9.2.24-8.el7_9.ppc64.rpm postgresql-libs-9.2.24-8.el7_9.ppc.rpm postgresql-libs-9.2.24-8.el7_9.ppc64.rpm postgresql-plperl-9.2.24-8.el7_9.ppc64.rpm postgresql-plpython-9.2.24-8.el7_9.ppc64.rpm postgresql-pltcl-9.2.24-8.el7_9.ppc64.rpm postgresql-server-9.2.24-8.el7_9.ppc64.rpm postgresql-test-9.2.24-8.el7_9.ppc64.rpm
ppc64le: postgresql-9.2.24-8.el7_9.ppc64le.rpm postgresql-contrib-9.2.24-8.el7_9.ppc64le.rpm postgresql-debuginfo-9.2.24-8.el7_9.ppc64le.rpm postgresql-devel-9.2.24-8.el7_9.ppc64le.rpm postgresql-docs-9.2.24-8.el7_9.ppc64le.rpm postgresql-libs-9.2.24-8.el7_9.ppc64le.rpm postgresql-plperl-9.2.24-8.el7_9.ppc64le.rpm postgresql-plpython-9.2.24-8.el7_9.ppc64le.rpm postgresql-pltcl-9.2.24-8.el7_9.ppc64le.rpm postgresql-server-9.2.24-8.el7_9.ppc64le.rpm postgresql-test-9.2.24-8.el7_9.ppc64le.rpm
s390x: postgresql-9.2.24-8.el7_9.s390.rpm postgresql-9.2.24-8.el7_9.s390x.rpm postgresql-contrib-9.2.24-8.el7_9.s390x.rpm postgresql-debuginfo-9.2.24-8.el7_9.s390.rpm postgresql-debuginfo-9.2.24-8.el7_9.s390x.rpm postgresql-devel-9.2.24-8.el7_9.s390.rpm postgresql-devel-9.2.24-8.el7_9.s390x.rpm postgresql-docs-9.2.24-8.el7_9.s390x.rpm postgresql-libs-9.2.24-8.el7_9.s390.rpm postgresql-libs-9.2.24-8.el7_9.s390x.rpm postgresql-plperl-9.2.24-8.el7_9.s390x.rpm postgresql-plpython-9.2.24-8.el7_9.s390x.rpm postgresql-pltcl-9.2.24-8.el7_9.s390x.rpm postgresql-server-9.2.24-8.el7_9.s390x.rpm postgresql-test-9.2.24-8.el7_9.s390x.rpm
x86_64: postgresql-9.2.24-8.el7_9.i686.rpm postgresql-9.2.24-8.el7_9.x86_64.rpm postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-devel-9.2.24-8.el7_9.i686.rpm postgresql-devel-9.2.24-8.el7_9.x86_64.rpm postgresql-docs-9.2.24-8.el7_9.x86_64.rpm postgresql-libs-9.2.24-8.el7_9.i686.rpm postgresql-libs-9.2.24-8.el7_9.x86_64.rpm postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm postgresql-server-9.2.24-8.el7_9.x86_64.rpm postgresql-test-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux Server Optional (v. 7):
ppc64: postgresql-debuginfo-9.2.24-8.el7_9.ppc.rpm postgresql-debuginfo-9.2.24-8.el7_9.ppc64.rpm postgresql-static-9.2.24-8.el7_9.ppc.rpm postgresql-static-9.2.24-8.el7_9.ppc64.rpm postgresql-upgrade-9.2.24-8.el7_9.ppc64.rpm
ppc64le: postgresql-debuginfo-9.2.24-8.el7_9.ppc64le.rpm postgresql-static-9.2.24-8.el7_9.ppc64le.rpm postgresql-upgrade-9.2.24-8.el7_9.ppc64le.rpm
s390x: postgresql-debuginfo-9.2.24-8.el7_9.s390.rpm postgresql-debuginfo-9.2.24-8.el7_9.s390x.rpm postgresql-static-9.2.24-8.el7_9.s390.rpm postgresql-static-9.2.24-8.el7_9.s390x.rpm postgresql-upgrade-9.2.24-8.el7_9.s390x.rpm
x86_64: postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-static-9.2.24-8.el7_9.i686.rpm postgresql-static-9.2.24-8.el7_9.x86_64.rpm postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux Workstation (v. 7):
Source: postgresql-9.2.24-8.el7_9.src.rpm
x86_64: postgresql-9.2.24-8.el7_9.i686.rpm postgresql-9.2.24-8.el7_9.x86_64.rpm postgresql-contrib-9.2.24-8.el7_9.x86_64.rpm postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-devel-9.2.24-8.el7_9.i686.rpm postgresql-devel-9.2.24-8.el7_9.x86_64.rpm postgresql-libs-9.2.24-8.el7_9.i686.rpm postgresql-libs-9.2.24-8.el7_9.x86_64.rpm postgresql-plperl-9.2.24-8.el7_9.x86_64.rpm postgresql-plpython-9.2.24-8.el7_9.x86_64.rpm postgresql-pltcl-9.2.24-8.el7_9.x86_64.rpm postgresql-server-9.2.24-8.el7_9.x86_64.rpm postgresql-test-9.2.24-8.el7_9.x86_64.rpm
Red Hat Enterprise Linux Workstation Optional (v. 7):
x86_64: postgresql-debuginfo-9.2.24-8.el7_9.i686.rpm postgresql-debuginfo-9.2.24-8.el7_9.x86_64.rpm postgresql-docs-9.2.24-8.el7_9.x86_64.rpm postgresql-static-9.2.24-8.el7_9.i686.rpm postgresql-static-9.2.24-8.el7_9.x86_64.rpm postgresql-upgrade-9.2.24-8.el7_9.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:5162-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:5162
Issued Date: : 2022-06-22
CVE Names: CVE-2022-1552

Topic

An update for postgresql is now available for Red Hat Enterprise Linux 7.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux Client (v. 7) - x86_64

Red Hat Enterprise Linux Client Optional (v. 7) - x86_64

Red Hat Enterprise Linux ComputeNode (v. 7) - x86_64

Red Hat Enterprise Linux ComputeNode Optional (v. 7) - x86_64

Red Hat Enterprise Linux Server (v. 7) - ppc64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux Server Optional (v. 7) - ppc64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux Workstation (v. 7) - x86_64

Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

Bugs Fixed

2081126 - CVE-2022-1552 postgresql: Autovacuum, REINDEX, and others omit "security restricted operation" sandbox

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.